#
# spec file for package medit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012-2014 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           medit
# To keep in sync with po/maintain
%define		moo_package_name %{name}-1
Version:        1.2.0
Release:        lp151.2.5
Summary:        A programming and around-programming text editor
License:        LGPL-2.1
Group:          Productivity/Text/Editors
Url:            http://mooedit.sourceforge.net/
Source:         http://download.sourceforge.net/mooedit/medit/1.2.0/medit-1.2.0.tar.bz2
# PATCH-FIX-OPENSUSE medit-fix-configure-errors.patch malcolmlewis@opensuse.org -- Fix docdir location and add linker flag for gmodule-no-export-2.0.
Patch0:         medit-fix-configure-errors.patch
# PATCH-FIX-OPENSUSE medit-fix-incorrect-fsf-address.patch malcolmlewis@opensuse.org -- Fix FSF address warnings.
Patch1:         medit-fix-incorrect-fsf-address.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext-tools
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  perl-XML-Parser
BuildRequires:  python-gtk-devel
BuildRequires:  python-xml
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
Requires:       python-gobject2
Requires:       python-gtk
Requires:       python-vte
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Started originally as a simple built-in editor component in GGAP,
it grew up to a real text editor.

Features
 * Configurable syntax highlighting.
 * Configurable keyboard accelerators.
 * Multiplatform - works on unix and windows.
 * Plugins: can be written in C, Python, or Lua.
 * Configurable tools available from the main and context menus.
   They can be written in Python or Lua, or it can be a shell script.
 * Regular expression search/replace, grep frontend, builtin file
   selector, etc.

%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --enable-shared \
           --disable-static
make %{?_smp_mflags} V=1

%install
%makeinstall
%suse_update_desktop_file -i %{name}
%fdupes %{buildroot}
%find_lang %{moo_package_name}-gsv
mv %{moo_package_name}-gsv.lang %{name}.lang
%find_lang %{moo_package_name}
cat %{moo_package_name}.lang >> %{name}.lang
chmod 0755 %{buildroot}%{_datadir}/%{moo_package_name}/language-specs/check.sh
chmod 0755 %{buildroot}%{_datadir}/%{moo_package_name}/python/pyconsole.py
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS
%{_docdir}/%{moo_package_name}/
%{_bindir}/medit
%{_datadir}/applications/medit.desktop
%{_datadir}/icons/hicolor/48x48/apps/medit.png
%{_datadir}/%{moo_package_name}/
%{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Sat Dec 23 2017 crrodriguez@opensuse.org
- Correct BuildRequires to fix build on Tumbleweed
* Sat Jun 24 2017 mailaender@opensuse.org
- Fix https://en.opensuse.org/SourceUrls with generic sf.net link
* Mon Oct 27 2014 malcolmlewis@opensuse.org
- Update requires to include python-gobject2 and python-gtk as
  install from live cd doesn't include.
* Wed Apr 16 2014 malcolmlewis@opensuse.org
- Update to version 1.2.0:
  + Updated syntax highlighting definitions.
  + Fixed compilation with new glib and gcc.
  + Exposed more functionality, in particular the output pane, to
    scripts.
  + Translation updates.
- Updates from version 1.1.2:
  + Partial workaround for the Gtk bug with Shift key: make
    Shift-Fn key combinations work as global shortcuts.
  + Translation updates.
- Drop medit-rpmspec-highlight.patch as fixed upstream.
- Rebase medit-fix-incorrect-fsf-address.patch.
* Mon Sep  3 2012 malcolmlewis@opensuse.org
- Update to version 1.1.1:
  + Fixed some build errors:
  - Check for sys/wait.h, so that HAVE_SYS_WAIT_H is defined
    when needed.
  - Link with gmodule explicitly.
- Add medit-fix-incorrect-fsf-address.patch: Fix incorrect FSF
  address in some files.
- Rebase medit-rpmspec-highlight.patch to use -p1 switch.
* Wed May 16 2012 lazy.kent@opensuse.org
- Requires python-vte to run terminal plugin.
- Added medit-1.1.0-rpmspec_highlight.patch (adds SUSE-specific
  highlights for rpm spec).
- Added icon_theme_cache_post/un macros.
* Thu Mar 22 2012 malcolmlewis@opensuse.org
- Update to version 1.1.0:
  + Fixed few memory leaks.
  + Improved documentation.
  + Made lua scripts use UTF-8 strings by default.
  + Fixed font selector in terminal pane.
  + Fixed clicks and drags with Shift key pressed.
  + Store 'Show hidden files' setting of file selector in
    preferences.
  + Updated translations.
- Drop medit-fix-glib-include.patch as fixed by upstream.
* Fri Jan 20 2012 malcolmlewis@opensuse.org
- Update to version 1.0.5:
  + Fixed a bug where filename "12d1:1446" was treated as file
    "12d1" and line number 1446.
  + Unbroke keyboard shortcuts when running under gtk-2.24.7.
- Add medit-fix-configure-errors.patch: Fix docdir location and
  add linker flag for gmodule-no-export-2.0.
- Add medit-fix-glib-include.patch: To fix only <glib.h> can be
  included directly error.
* Tue Sep 27 2011 malcolmlewis@opensuse.org
- Update to version 1.0.4:
  - Added protobuf lang file by Pavel Artyomkin.
- Minor spec file cleanup.
* Thu Jun  9 2011 malcolmlewis@opensuse.org
- New version 1.0.3
  * Fixed "Move to Split Notebook" command.
- Updates from 1.0.2
  * Fixed importing pygobject and pygtk with python-2.7
    (at least on openSUSE newer pygtk in medit was broken).
- Fix Licence naming convention to http://spdx.org/licenses/
* Sun Mar  6 2011 malcolmlewis@opensuse.org
- New version 1.0.1.
  * Updated Russian translation.
  * Fixed a crash on windows when syntax highlighting gets disabled
    because of very long lines.
  * Updated ini.lang.
- Minor spec file adjustments
* Sat Feb  5 2011 malcolmlewis@opensuse.org
- New version 1.0.0. New release which breaks backwards
  compatibility (which won't be broken again for long time, not
  until medit-2.0). Bugs have been fixed, features have been
  implemented, new bugs have been introduced.
  * Consistent API for Python and Lua scripts, generated from
    source code, together with documentation. This allows for
    much more powerful Lua scripts.
  * Added option to show all spaces, not just Tab characters.
  * Allow searching in a list of directories instead of just a single one.
  * Added --geometry command line option.
  * Added split views - multiple views of the same document in one
    notebook tab.
  * Windows can display two notebooks to allow viewing two different
    documents at the same as well.
  * Build system uses autotools again. Cmake is nice but not nice enough.
- dropped patches
- spec file clean up
- Only builds for >= openSUSE 11.3
* Sat Oct  9 2010 malcolmlewis@opensuse.org
- New version 0.10.5
  * Added an option to show spaces, not just tabs
  * Added linker flags to fix build on some Linux distributions
  * Fixed bug where Select All menu item wouldn't select text on
    some builds (found by Andrey Frantsuzov).
- Spec clean up
- Removed rpmlintrc
- Delete check.sh test script after build
* Mon Jun  7 2010 malcolmlewis@opensuse.org
- Various bug fixes, manual added
- Minor spec file changes
- Added cmake 2.6.4 requirement
* Sun Feb 28 2010 coyoteuser@gmail.com
- New release
- Spec remade for using cmake
- rpmlintrc added
